Package ru.bitel.bgbilling.kernel.bgsecure.server.bean

# Class UserRecordLogDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<UnregRequestRecord>
ru.bitel.bgbilling.kernel.bgsecure.server.bean.UserRecordLogDao

public class UserRecordLogDao extends ru.bitel.bgbilling.common.dao.AbstractDao<UnregRequestRecord>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserRecordLogDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearUnregRequestActionRecord(List<String> recordIds)`
  `void`
  `clearUnregRequestRecordList()`
  `void`
  `clearUnregRequestServiceRecord(List<String> recordIds)`
  `void`
  `deleteUnregRequestRecord(UnregRequestRecord record)`
  `protected UnregRequestRecord`
  `getFromRS(ResultSet rs)`
  `void`
  `searchUnregRequestRecordList(SearchResult<UnregRequestRecord> searchResult)`
  `protected void`
  `updateImpl(UnregRequestRecord record)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserRecordLogDao

    public UserRecordLogDao(Connection con)

- ## Method Details

  - ### searchUnregRequestRecordList

    public void searchUnregRequestRecordList(SearchResult<UnregRequestRecord> searchResult) throws Exception
    Throws:
      `Exception`

  - ### getFromRS

    protected UnregRequestRecord getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<UnregRequestRecord>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(UnregRequestRecord record) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<UnregRequestRecord>`
    Throws:
      `SQLException`

  - ### clearUnregRequestRecordList

    public void clearUnregRequestRecordList() throws SQLException
    Throws:
      `SQLException`

  - ### deleteUnregRequestRecord

    public void deleteUnregRequestRecord(UnregRequestRecord record) throws SQLException
    Throws:
      `SQLException`

  - ### clearUnregRequestActionRecord

    public void clearUnregRequestActionRecord(List<String> recordIds) throws SQLException
    Throws:
      `SQLException`

  - ### clearUnregRequestServiceRecord

    public void clearUnregRequestServiceRecord(List<String> recordIds) throws SQLException
    Throws:
      `SQLException`